Subject: Re: bug#57379: GUI toolkit for Guile 3.0?

From: Lee Thomas <[email-masked]>
Date: Tue, 30 Aug 2022 11:24:00 -0700

I can confirm that disabling grafts allows both of the g-golf examples to
run, and they come up quickly. I suspect they were slow due to something
in the grafts; I'll find out. I still get some errors, but they also appear
to be related to guix. I'll read the discussion.

Thank you, Ricardo!

On Mon, Aug 29, 2022 at 12:58 PM Ricardo Wurmus <[email-masked]> wrote:

>
> David Pirotte <[email-masked]> writes:
>
> > I hope Ricardo, possibly with the help of other guix contributor's will
> > find a solution so that g-golf may also run 'out of the box' on guix.
>
> Turns out that it all works fine when you disable grafts:
>
>   guix shell --pure --no-grafts \
>     guile guile-g-golf gtk@4
>
> This echoes a discussion here:
>
>   https://github.com/spk121/guile-gi/issues/96
>
> The immediate lessons from the observations detailed in this issue are
> also why guile-gi works without disabling grafts.
>
> --
> Ricardo
>